<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
use think\facade\Route;

Route::rule('menu', 'admin/Menu/list');

//Route::rule('menuadd', 'admin/Menu/MenuAdd');
Route::rule('menusave', 'admin/Menu/MenuEdit');
Route::rule('menudel', 'admin/Menu/MenuDel');
Route::rule('menustatus', 'admin/Menu/MenuStatus');
Route::rule("menulist","admin/Menu/MenuAllList");


Route::rule('menuaction', 'admin/Action/ActionList');
Route::rule('menuactionsave', 'admin/Action/ActionSave');
Route::rule('menuactionstatus', 'admin/Action/ActionStatus');
Route::rule('menuactionadd', 'admin/Action/ActionAdd');
Route::rule("menuactionlist","admin/Action/index");
Route::rule("menuactiondel","admin/Menu/MenuActionDel");

Route::rule("actiondata","admin/Action/DataAction");
Route::rule("actionsave","admin/Action/ActionSave");
Route::rule("actionstatus","admin/Action/ActionStatus");
Route::rule("actioninfo","admin/Action/ActionInfo");
Route::rule("actionlist","admin/Action/ActionList");


Route::rule('grouplist', 'admin/Group/GroupList');
Route::rule('groupall', 'admin/Group/GroupAll');
Route::rule('groupinfo', 'admin/Group/GroupInfo');
Route::rule('groupadd', 'admin/Group/GroupAdd');
Route::rule('groupsave', 'admin/Group/GroupSave');
Route::rule('groupstatus', 'admin/Group/GroupStatus');

Route::rule('rolelist', 'admin/Role/RoleList');
Route::rule('roleall', 'admin/Role/RoleAll');
Route::rule('roleinfo', 'admin/Role/RoleInfo');
Route::rule('roleadd', 'admin/Role/RoleAdd');
Route::rule('rolesave', 'admin/Role/RoleSave');
Route::rule('rolestatus', 'admin/Role/RoleStatus');


Route::rule('ulist','admin/Newfill/list');
Route::rule('add','admin/Newfill/add');
Route::rule('refresh',"admin/Newfill/refresh");
Route::rule('query','admin/Newfill/query');
Route::rule('itemdel','admin/Newfill/itemdel');
Route::rule('stat','admin/Newfill/stat');
Route::rule('userp','admin/Newfill/userp');
Route::rule('clist','admin/Departuser/list');
Route::rule('attend','admin/Departuser/attend');
Route::rule('useredit','admin/Departuser/useredit');
Route::rule('ifound','admin/Departuser/found');
Route::rule('iuserdel','admin/Departuser/userdel');

Route::rule('customerlist','admin/Customer/list');
Route::rule('customercreate','admin/Customer/create');
Route::rule('customerupdate','admin/Customer/updat');
Route::rule('customerselect','admin/Customer/selec');
Route::rule('customerdelect','admin/Customer/dell');

Route::rule('supplierlist','admin/Supplier/list');
Route::rule('suppliercreate','admin/Supplier/create');
Route::rule('supplieredit','admin/Supplier/edit');
Route::rule('supplierselec','admin/Supplier/selec');
Route::rule('supplierdelect','admin/Supplier/del');


Route::rule('userlist', 'admin/User/list');
Route::rule('userinfo', 'admin/User/userInfo');
Route::rule('userall', 'admin/User/userAll');
Route::rule("userstatus","admin/User/UserStatus");
Route::rule("usersave","admin/User/UserSave");
Route::rule("passset","admin/User/setPwd");
Route::rule("userinfobyid","admin/User/info");

Route::rule("sharelist","admin/Share/index");
Route::rule("shareadd","admin/Share/create");
Route::rule("sharesave","admin/Share/save");
Route::rule("sharestatus","admin/Share/status");
Route::rule("sharedel","admin/Share/delete");
Route::rule("shareinfo","admin/Share/read");

Route::rule("loglist","admin/System/index");
Route::rule("versionlist","admin/System/version");
Route::rule("lastversion","admin/System/LastVersion");

Route::rule("wareadd","admin/WareHouse/add");
Route::rule("wareinfo","admin/WareHouse/info");
Route::rule("waresave","admin/WareHouse/save");
Route::rule("waredel","admin/WareHouse/delete");
Route::rule("warelist","admin/WareHouse/list");
Route::rule("warestatus","admin/WareHouse/status");

Route::rule("province","admin/Addr/province");
Route::rule("city","admin/Addr/city");
Route::rule("area","admin/Addr/area");

